> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch cashflow statement

> Returns a cashflow statement showing cash inflows and outflows over a specified time period.



## OpenAPI

````yaml get /v1/businesses/{businessId}/reports/cashflow-statement
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/reports/cashflow-statement:
    get:
      tags: []
      summary: Fetch cashflow statement
      description: >-
        Returns a cashflow statement showing cash inflows and outflows over a
        specified time period.
      operationId: business.reports.cashflow-statement.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch the cashflow statement for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
        - name: start_date
          in: query
          description: Start date for the cashflow statement (ISO 8601 format)
          required: true
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: End date for the cashflow statement (ISO 8601 format)
          required: true
          schema:
            type: string
            format: date-time
        - name: reporting_basis
          in: query
          description: Accounting basis for the report
          schema:
            type: string
            enum:
              - ACCRUAL
              - CASH
        - name: structure
          in: query
          description: P&L structure template to use
          schema:
            type: string
      responses:
        '200':
          description: Cashflow statement report data
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCashflowStatement'
        '400':
          description: Cashflow statement not yet reconciled for the requested period.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiCashflowStatement:
      type: object
      properties:
        start_date:
          type: string
          format: date-time
          description: Start date of the cashflow period
        end_date:
          type: string
          format: date-time
          description: End date of the cashflow period
        reporting_basis:
          type: string
          enum:
            - ACCRUAL
            - CASH
          description: Accounting basis used for the report
        operating_activities:
          type: array
          items:
            $ref: '#/components/schemas/ApiCashflowLineItem'
          description: Operating activities
        investing_activities:
          type: array
          items:
            $ref: '#/components/schemas/ApiCashflowLineItem'
          description: Investing activities
        financing_activities:
          type: array
          items:
            $ref: '#/components/schemas/ApiCashflowLineItem'
          description: Financing activities
        net_cash_flow:
          type: integer
          description: Net cash flow in cents
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    ApiCashflowLineItem:
      type: object
      properties:
        description:
          type: string
          description: Description of the cashflow item
        amount:
          type: integer
          description: Amount in cents
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````